﻿using NUnit.Framework;

namespace ObserverPatternDemo
{
    [TestFixture]
    public class TestHarness
    {
        [Test]
        public void ObserverTest()
        {
            var wareHouse = new WareHouse();

            wareHouse.AttachObserver(new WestHollywoodStore("Rich Guys"));
            wareHouse.AttachObserver(new ChicagoStore("Poor guys"));

            wareHouse.RemoveProductFromInventory("abc", 2);

            foreach (var observingStore in wareHouse.ObservingStores)
            {
                System.Diagnostics.Debug.WriteLine( observingStore.InventoryForSku( "abc") );
            }
        }
    }
}
